{
  "schema_version": "1.4.0",
  "id": "GHSA-69mf-vqgp-hjr8",
  "modified": "2022-05-14T02:06:00Z",
  "published": "2022-05-14T02:06:00Z",
  "aliases": [
    "CVE-2014-9665"
  ],
  "details": "The Load_SBit_Png function in sfnt/pngshim.c in FreeType before 2.5.4 does not restrict the rows and pitch values of PNG data, which allows remote attackers to cause a denial of service (integer overflow and heap-based buffer overflow) or possibly have unspecified other impact by embedding a PNG file in a .ttf font file.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2014-9665"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201503-05"
    },
    {
      "type": "WEB",
      "url": "http://code.google.com/p/google-security-research/issues/detail?id=168"
    },
    {
      "type": "WEB",
      "url": "http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=54abd22891bd51ef8b533b24df53b3019b5cee81"
    },
    {
      "type": "WEB",
      "url": "http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=b3500af717010137046ec4076d1e1c0641e33727"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2015-February/150148.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2015-February/150162.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2015-03/msg00091.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/72986"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2510-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2739-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2015-02-08T11:59:00Z"
  }
}